> ## Documentation Index
> Fetch the complete documentation index at: https://developer.eka.care/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify OTP

> This endpoint allows  to verify a mobile otp.



## OpenAPI

````yaml post /abdm/na/v1/registration/mobile/verify
openapi: 3.1.0
info:
  description: ABHA Registration and login APIs
  title: Registration
  version: 1.0.0
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /abdm/na/v1/registration/mobile/verify:
    post:
      summary: Verify OTP
      description: This endpoint allows  to verify a mobile otp.
      parameters:
        - description: Eka User ID (OID)
          in: header
          name: X-Pt-Id
          schema:
            type: string
        - description: Partner User ID
          in: header
          name: X-Partner-Pt-Id
          schema:
            type: string
        - description: Partner HIP ID
          in: header
          name: X-Hip-Id
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VerifyRequestType3'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VerifyResponseType3'
          description: OK
        4XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
        5XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
      security:
        - authApiKey: []
components:
  schemas:
    VerifyRequestType3:
      properties:
        otp:
          description: OTP received on the mobile number
          type: string
        txn_id:
          description: Transaction ID received in the previous API response.
          type: string
      required:
        - txn_id
        - otp
      type: object
    VerifyResponseType3:
      properties:
        abha_profiles:
          description: ABHA profiles, will be present if user has created ABHA.
          items:
            $ref: '#/components/schemas/VerifyAbhaProfile'
          type:
            - array
            - 'null'
        eka:
          $ref: '#/components/schemas/RegistrationEkaIds'
          description: Eka IDs, will be present if SkipState is abha_end
        skip_state:
          enum:
            - abha_end
            - confirm_mobile_otp
            - abha_select
            - abha_create
          type: string
        txn_id:
          description: Transaction ID required for the next API call.
          type: string
      type: object
    GenericError:
      properties:
        code:
          type: integer
        error:
          type: string
        source_error:
          $ref: '#/components/schemas/SourceErr'
      type: object
    VerifyAbhaProfile:
      properties:
        abha_address:
          type: string
        kyc_verified:
          type: string
        name:
          type: string
      type: object
    RegistrationEkaIds:
      properties:
        min_token:
          description: Minimum token required for authentication
          type: string
        oid:
          type:
            - 'null'
            - string
        uuid:
          type:
            - 'null'
            - string
      type: object
    SourceErr:
      properties:
        code:
          type: string
        message:
          type: string
      type: object
  securitySchemes:
    authApiKey:
      description: The API requires a Bearer token (JWT) for authentication.
      scheme: bearer
      type: http

````